#include <psemek/wgpu/render_bundle.hpp>
#include <psemek/wgpu/detail/string_view.hpp>
#include <psemek/wgpu/external/webgpu.h>

namespace psemek::wgpu
{

	void render_bundle::set_label(std::string const & label)
	{
		wgpuRenderBundleSetLabel((WGPURenderBundle)get(), detail::to_string_view(label));
	}

	void render_bundle::reference(void * ptr)
	{
		wgpuRenderBundleAddRef((WGPURenderBundle)ptr);
	}

	void render_bundle::release(void * ptr)
	{
		wgpuRenderBundleRelease((WGPURenderBundle)ptr);
	}

}
